--- //depot/vendor/freebsd/src/sys/amd64/amd64/pmap.c	2007/05/18 07:18:31
+++ //depot/user/attilio/attilio_schedlock/amd64/amd64/pmap.c	2007/05/20 14:04:48
@@ -1149,7 +1149,7 @@
 	 */
 	m->right = *free;
 	*free = m;
-	VMCNT_DEC(wire_count, 1);
+	VMCNT_SUB(wire_count, 1);
 	return 1;
 }
 
@@ -1459,7 +1459,7 @@
 	pmap->pm_pml4[PML4PML4I] = 0;	/* Recursive Mapping */
 
 	m->wire_count--;
-	VMCNT_DEC(wire_count, 1);
+	VMCNT_SUB(wire_count, 1);
 	vm_page_free_zero(m);
 	PMAP_LOCK_DESTROY(pmap);
 }
--- //depot/vendor/freebsd/src/sys/i386/i386/pmap.c	2007/05/18 07:13:35
+++ //depot/user/attilio/attilio_schedlock/i386/i386/pmap.c	2007/05/20 14:04:48
@@ -1168,7 +1168,7 @@
 	pmap->pm_pdir[m->pindex] = 0;
 	--pmap->pm_stats.resident_count;
 
-	VMCNT_DEC(wire_count, 1);
+	VMCNT_SUB(wire_count, 1);
 
 	/*
 	 * Do an invltlb to make the invalidated mapping
@@ -1536,7 +1536,7 @@
 		    ("pmap_release: got wrong ptd page"));
 #endif
 		m->wire_count--;
-		VMCNT_DEC(wire_count, 1);
+		VMCNT_SUB(wire_count, 1);
 		vm_page_free_zero(m);
 	}
 	PMAP_LOCK_DESTROY(pmap);
--- //depot/vendor/freebsd/src/sys/sparc64/sparc64/pmap.c	2007/05/18 07:13:35
+++ //depot/user/attilio/attilio_schedlock/sparc64/sparc64/pmap.c	2007/05/20 14:04:48
@@ -1088,7 +1088,7 @@
 		    ("pmap_release: freeing held tsb page"));
 		m->md.pmap = NULL;
 		m->wire_count--;
-		VMCNT_DEC(wire_count, 1);
+		VMCNT_SUB(wire_count, 1);
 		vm_page_free_zero(m);
 		vm_page_unlock_queues();
 	}
--- //depot/vendor/freebsd/src/sys/sun4v/sun4v/pmap.c	2007/05/20 13:08:23
+++ //depot/user/attilio/attilio_schedlock/sun4v/sun4v/pmap.c	2007/05/20 14:04:48
@@ -1312,7 +1312,7 @@
 	m = PHYS_TO_VM_PAGE(TLB_DIRECT_TO_PHYS((vm_offset_t)ptr));
 	for (i = 0; i < npages; i++, m++) {
 		m->wire_count--;
-		VMCNT_DEC(wire_count, 1);
+		VMCNT_SUB(wire_count, 1);
 		vm_page_free(m);
 	}
 }
--- //depot/vendor/freebsd/src/sys/sun4v/sun4v/tsb.c	2007/05/18 07:13:35
+++ //depot/user/attilio/attilio_schedlock/sun4v/sun4v/tsb.c	2007/05/20 14:04:48
@@ -104,7 +104,7 @@
 	m = PHYS_TO_VM_PAGE((vm_paddr_t)hvtsb->hti_ra);
 	for (i = 0, tm = m; i < TSB_SIZE; i++, m++) {
 		tm->wire_count--;
-		VMCNT_DEC(wire_count, 1);
+		VMCNT_SUB(wire_count, 1);
 		vm_page_free(tm);
 	}
 }
--- //depot/vendor/freebsd/src/sys/sun4v/sun4v/tte_hash.c	2007/05/20 09:22:52
+++ //depot/user/attilio/attilio_schedlock/sun4v/sun4v/tte_hash.c	2007/05/20 14:04:48
@@ -231,7 +231,7 @@
         for (fh = ptr; fh != NULL; fh = fh->thf_head.fh_next) {
                 m = PHYS_TO_VM_PAGE(TLB_DIRECT_TO_PHYS((vm_offset_t)fh));
                 m->wire_count--;
-		VMCNT_DEC(wire_count, 1);
+		VMCNT_SUB(wire_count, 1);
                 vm_page_free(m);
         }
 }
--- //depot/vendor/freebsd/src/sys/sys/vmmeter.h	2007/05/18 07:13:35
+++ //depot/user/attilio/attilio_schedlock/sys/vmmeter.h	2007/05/20 14:04:48
@@ -109,7 +109,7 @@
 	atomic_store_rel_int(__CONCAT(&cnt.v_, member), val)
 #define	VMCNT_ADD(member, val)						\
 	atomic_add_int(__CONCAT(&cnt.v_, member), val)
-#define	VMCNT_DEC(member, val)						\
+#define	VMCNT_SUB(member, val)						\
 	atomic_subtract_int(__CONCAT(&cnt.v_, member), val)
 #define	VMCNT_GET(member)	(__CONCAT(cnt.v_, member))
 #define	VMCNT_PTR(member)						\
--- //depot/vendor/freebsd/src/sys/vm/vm_page.c	2007/05/18 07:13:35
+++ //depot/user/attilio/attilio_schedlock/vm/vm_page.c	2007/05/20 14:04:48
@@ -1249,7 +1249,7 @@
 	if (m->wire_count > 0) {
 		m->wire_count--;
 		if (m->wire_count == 0) {
-			VMCNT_DEC(wire_count, 1);
+			VMCNT_SUB(wire_count, 1);
 			if (m->flags & PG_UNMANAGED) {
 				;
 			} else if (activate)
